package com.sw.patroleditor.service.impl;

import com.sw.patroleditor.component.rosBridge.RobotDataCallBack;
import com.sw.patroleditor.component.rosBridge.RobotDataModel;
import com.sw.patroleditor.domain.dto.AimDTO;
import com.sw.patroleditor.domain.dto.PointDTO;
import com.sw.patroleditor.domain.dto.ZoominDTO;
import com.sw.patroleditor.domain.vo.PointVO;
import com.sw.patroleditor.mapper.PointMapper;
import com.sw.patroleditor.service.LocationService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.UUID;

/**
 * Created by shiwn on 2024/7/26 15:08
 */
@Service
public class LocationServiceImpl implements LocationService {
    @Resource
    private RobotDataCallBack robotDataCallBack;
    @Resource
    private PointMapper pointMapper;

    /**
     * @Description: 保存停靠点
     * @Date: 2024/7/26 15:09
     * @Author: shiwn
     */
    @Override
    public int savePoint(PointVO vo) {
        RobotDataModel robotDataModel = robotDataCallBack.getRobotDataModel();
        PointDTO dto = new PointDTO();
        dto.setUuid(UUID.randomUUID().toString());
        dto.setType(vo.getType());
        dto.setNote(vo.getNote());
        dto.setAbsolutePosX(robotDataModel.getPosX());
        dto.setAbsolutePosY(robotDataModel.getPosY());
        return pointMapper.insert(dto);
    }

    /**
     * @Description: 保存巡检点
     * @Date: 2024/8/9 15:56
     * @Author: shiwn
     */
    public int saveTarget() {
        RobotDataModel robotDataModel = robotDataCallBack.getRobotDataModel();
        return 1;
    }
}
